* {
  margin: 0;
  padding: 0;
  font-family: "IBM Plex Sans", sans-serif;
  box-sizing: border-box;
}

body {
  min-height: 100vh;
  background-color: #f1f1f1;
}

h1 {
  font-family: "IBM Plex Sans", sans-serif;
  font-weight: 700;
}



.loader-container {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #000000;
  /* Semi-transparent black background */
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
  /* Ensure it's above other content */
}

.loader-image {
  border-radius: 10px;
  width: 150px;
  /* Adjust the width of the loader as needed */
  height: auto;
  /* Maintain aspect ratio */
}



.about-section {
  /* background: url(./images/SUPPORT\ GROUP\ product.png) no-repeat left; */
  /* background-size: 55%; */
  background-color: #000000;
  /* overflow: hidden; */
  /* padding: 100px 0; */
  display: flex;
  justify-content: space-around;
}

.right-img-container img {
  width: 900px;
}

.inner-container {
  width: 500px;
  /* float: right; */
  /* background-color: #000000; */
  /* padding: 70px; */
}

.inner-container h1 {
  margin-bottom: 30px;
  font-size: 30px;
  font-weight: 700;
  color: aliceblue;
}

.text {
  font-size: 15px;
  color: #ffffff;
  line-height: 30px;
  text-align: justify;
  margin-bottom: 40px;
}

.skills {
  display: flex;
  justify-content: space-between;
  font-weight: 700;
  font-size: 13px;
  color: aliceblue;
}

/* zoom in effect on first pages */

@keyframes growFromCenter {
  from {
    transform: scale(0);
    opacity: 0;
  }

  to {
    transform: scale(1);
    opacity: 1;
  }
}

.grow-from-center {
  animation: growFromCenter 6s ease-out;
}

/* landing section end   */





/* Our team Section start  */

.row {
  display: flex;
  flex-wrap: wrap;
  padding: 2em 1em;
  text-align: center;

}



.column {
  width: 100%;
  padding: 0.5em 0;
}

h1 {
  width: 100%;
  text-align: center;
  font-size: 3em;
  color: #ffffff;
  font-weight: 500;
  padding-bottom: 1rem;
  padding-top: 4rem;
  line-height: 3rem;
}


.card {
  box-shadow: 0 0 2.4em rgba(25, 0, 58, 0.1);
  padding: .5em 1em;
  border-radius: 0.6em;
  color: #ffffff;
  cursor: pointer;
  transition: 0.3s;
  /* background-image: linear-gradient(187deg, rgba(76, 76, 76, 0.05) 0%, rgba(76, 76, 76, 0.05) 27%,rgba(186, 186, 186, 0.05) 27%, rgba(186, 186, 186, 0.05) 100%),linear-gradient(71deg, rgba(203, 203, 203, 0.05) 0%, rgba(203, 203, 203, 0.05) 65%,rgba(96, 96, 96, 0.05) 65%, rgba(96, 96, 96, 0.05) 100%),linear-gradient(226deg, rgba(93, 93, 93, 0.05) 0%, rgba(93, 93, 93, 0.05) 48%,rgba(44, 44, 44, 0.05) 48%, rgba(44, 44, 44, 0.05) 100%),linear-gradient(90deg, rgb(1,0,0),rgb(0,1,1)); */
}

.card .img-container {
  width: 8em;
  height: 8em;
  /* background-color: #51c4bd; */
  padding: 0.3em;
  border-radius: 50%;
  margin: 0 auto 2em auto;
}

.card img {
  width: 100%;
  border-radius: 50%;
}

.card h3 {
  font-weight: 500;
}

.card p {
  font-weight: 300;
  text-transform: uppercase;
  margin: 0.5em 0 2em 0;
  letter-spacing: 2px;
}

.icons {

  min-width: 180px;
  margin: auto;
  align-items: center;


}

.card a {
  text-decoration: none;
  color: inherit;
  font-size: 1.4em;
}

.card:hover {

  color: #ffffff;
  box-shadow: #26ccca 0px 0px 5px 1px;
}

.card:hover .img-container {
  transform: scale(1.15);
}

@media screen and (min-width: 768px) {
  section {
    padding: 1em 7em;
  }
}

@media screen and (min-width: 992px) {
  section {
    padding: 1em;
  }

  .card {
    padding: 5em 1em;
    margin: 1rem;
  }

  .column {
    flex: 0 0 33.33%;
    max-width: 33.33%;
    padding: 0 1em;
  }
}

/* Our team Section End  */


/* Awards and Achivements Start */
.awards {
  /* background-image: url("./images/bg-img.jpg"); */
  background-color: #000000;
  height: 100%;
  width: auto;
  background-repeat: no-repeat;
}

.awards .head3 {
  font-family: "IBM Plex Sans", sans-serif;
  font-size: 3rem;
  font-weight: 500;
  text-transform: uppercase;
  color: #f0f0f0;
  text-align: center;
  padding-top: 5rem;
}

.awards .awards-img-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  margin-top: 5rem;
}

.awards-card {
  width: 350px;
  /* border: 2px solid white; */
  text-align: center;
}

.awards .awards-img-container .awards-card img {
  width: 350px;
  height: auto;
  object-fit: contain;
  /* border: 2px solid white; */
}

.subheading {
  color: #f0f0f0;
  text-align: center;
  font-size: 1rem;
}

/* Awards and Achivements End  */


/* Our Client Section start  */
.client-wrap {
  width: 100%;
  height: auto;
  text-align: center;
  background-color: #000000;
  padding: 4rem;
}

.client-wrap h1 {
  font-size: 3rem;
  font-weight: 500;
  color: #f0f0f0;
  margin-bottom: 3rem;
  text-align: center;
}

.client-wrap h2 {
  font-size: 2rem;
  font-weight: 500;
  color: #f0f0f0;
  margin-top: 2rem;
  margin-bottom: 3rem;
  text-align: center;
}

.client-in {
  width: 100%;
  height: auto;
}

.client-in ul {
  padding: 0;
  margin: 0;
}

.client-in ul li {
  list-style: none;
  display: inline-block;
  width: 150px;
  height: 100px;
  position: relative;
  overflow: hidden;
  cursor: pointer;
  margin: 20px;
  /* box-shadow: 0px 0px 10px -5px #06d6b4; */
  /*box-shadow: #26ccca 0px 0px 5px 1px;*/
  transition: .5s;
}

.client-in ul li img {
  width: 95%;
  aspect-ratio: 3/2;
  object-fit: contain;

}

.client-in ul li img:nth-child(1) {
  transform: translateY(0);
  transition: .5s;
}

.client-in ul li img:nth-child(2) {
  transform: translateY(0);
  transition: .5s;
}

/* hover section  */

.client-in ul li:hover img:nth-child(1) {
  transform: translateY(-100%);
  transition: .5s;
}

.client-in ul li:hover img:nth-child(2) {
  transform: translateY(-100%);
  transition: .5s;
}

@media (max-width: 500px) {
  .client-in ul li {
    width: 115px;
    height: 80px;
    margin: 10px;
  }

  .client-wrap h1 {
    font-size: 2rem;
    margin-bottom: 2rem;
  }

  .client-wrap {
    padding: 2rem;
  }
}

/* Our Client Section End  */


/* Our Journey Start  */
.journey {
  background-color: #000000;
  /* background: linear-gradient(#413d3d 10%, #283048 60%, #55679a 70%, rgba(255,255,255,0)); */
  padding-top: 5rem;
}

.heading1 {
  text-align: center;
  color: #ffffff;
  font-size: 3rem;
  font-weight: 500;
  margin-bottom: 3rem;
  text-transform: uppercase;
}

.journey ul {
  --col-gap: 2rem;
  --row-gap: 2rem;
  --line-w: 0.25rem;
  display: grid;
  grid-template-columns: var(--line-w) 1fr;
  grid-auto-columns: max-content;
  column-gap: var(--col-gap);
  list-style: none;
  width: min(60rem, 90%);
  margin-inline: auto;
}

/* line */
.journey ul::before {
  content: "";
  grid-column: 1;
  grid-row: 1 / span 20;
  background: rgb(225, 225, 225);
  border-radius: calc(var(--line-w) / 2);
}

/* columns*/

/* row gaps */
.journey ul li:not(:last-child) {
  margin-bottom: var(--row-gap);
}

/* card */
.journey ul li {
  grid-column: 2;
  --inlineP: 1.5rem;
  margin-inline: var(--inlineP);
  grid-row: span 2;
  display: grid;
  grid-template-rows: min-content min-content min-content;
}

/* date */
.journey ul li .date {
  --dateH: 3rem;
  height: var(--dateH);
  margin-inline: calc(var(--inlineP) * -1);

  text-align: center;
  background-color: var(--accent-color);

  color: white;
  font-size: 1.25rem;
  font-weight: 700;

  display: grid;
  place-content: center;
  position: relative;

  border-radius: calc(var(--dateH) / 2) 0 0 calc(var(--dateH) / 2);
}

/* date flap */
.journey ul li .date::before {
  content: "";
  width: var(--inlineP);
  aspect-ratio: 1;
  background: var(--accent-color);
  background-image: linear-gradient(rgba(0, 0, 0, 0.2) 100%, transparent);
  position: absolute;
  top: 100%;

  clip-path: polygon(0 0, 100% 0, 0 100%);
  right: 0;
}

/* circle */
.journey ul li .date::after {
  content: "";
  position: absolute;
  width: 2rem;
  aspect-ratio: 1;
  background: var(--bgColor);
  border: 0.3rem solid var(--accent-color);
  border-radius: 50%;
  top: 50%;

  transform: translate(50%, -50%);
  right: calc(100% + var(--col-gap) + var(--line-w) / 2);
}

/* title descr */
.journey ul li .title,
.journey ul li .descr {
  background: var(--bgColor);
  position: relative;
  padding-inline: 1.5rem;
  text-align: center;
}

.journey ul li .title {
  overflow: hidden;
  padding-block-start: 1.5rem;
  padding-block-end: 1rem;
  font-weight: 500;
}

.journey ul li .descr {
  padding-top: 3rem;
  padding-block-end: 1.5rem;
  font-weight: 300;
  color: #f0f0f0;
}


/* shadows */
.journey ul li .title::before,
.journey ul li .descr::before {
  content: "";
  position: absolute;
  width: 90%;
  height: 0.5rem;
  background: rgba(2, 251, 255, 0.5);
  left: 50%;
  border-radius: 50%;
  filter: blur(4px);
  transform: translate(-50%, 50%);
}

.journey ul li .title::before {
  bottom: calc(100% + 0.125rem);
}

.journey ul li .descr::before {
  z-index: -1;
  bottom: 0.25rem;
}

@media (min-width: 40rem) {
  .journey ul {
    grid-template-columns: 1fr var(--line-w) 1fr;
  }

  .journey ul::before {
    grid-column: 2;
  }

  .journey ul li:nth-child(odd) {
    grid-column: 1;
  }

  .journey ul li:nth-child(even) {
    grid-column: 3;
  }

  /* start second card */
  .journey ul li:nth-child(2) {
    grid-row: 2/4;
  }

  .journey ul li:nth-child(odd) .date::before {
    clip-path: polygon(0 0, 100% 0, 100% 100%);
    left: 0;
  }

  .journey ul li:nth-child(odd) .date::after {
    transform: translate(-50%, -50%);
    left: calc(100% + var(--col-gap) + var(--line-w) / 2);
  }

  .journey ul li:nth-child(odd) .date {
    border-radius: 0 calc(var(--dateH) / 2) calc(var(--dateH) / 2) 0;
  }
}

.credits {
  margin-top: 1rem;
  text-align: right;
}

.credits a {
  color: var(--color);
}


/* Our Journey End  */



.container1 {
  padding: 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 20px;
  background-color: #000000;
}

.container1 img {
  width: 80%;
  box-shadow: 0 5px 15px 0px rgba(0, 0, 0, 0.6);
  /* transform: translatey(0px); */
  /* animation: float 6s ease-in-out infinite; */
}


@keyframes float {
  0% {
    box-shadow: 0 5px 15px 0px rgba(0, 0, 0, 0.6);
    transform: translatey(0px);
  }

  50% {
    box-shadow: 0 25px 15px 0px rgba(0, 0, 0, 0.2);
    transform: translatey(-20px);
  }

  100% {
    box-shadow: 0 5px 15px 0px rgba(0, 0, 0, 0.6);
    transform: translatey(0px);
  }
}


.hero-text {
  width: 80%;
}

.hero-text h1 {
  font-size: 3.3rem;
  margin-bottom: 12px;
  color: #ffffff;
}

.hero-text p {
  font-size: 1rem;
  margin-bottom: 12px;
  color: #ffffff;
  margin-right: 2rem;
  text-align: -webkit-auto;
}


/* Media queries */
@media (min-width: 1440px) {
  .container1 img {
    width: 50%;
  }

  .container1 {

    flex-direction: column;
  }

  .hero-text {
    width: 100%;
    text-align: center;
  }

  .hero-text h1 {
    font-size: 3rem;
  }

  .hero-text p {
    font-size: 1rem;
    margin-bottom: 12px;
    color: #ffffff;
    margin: 0 8rem;
    text-align: justify;
    line-height: 2rem;

  }
}

@media (max-width: 884px) {

  .container1 {

    flex-direction: column;
  }

  .hero-text {
    width: 100%;
    text-align: center;
  }

  .hero-text h1 {
    font-size: 3rem;
  }

  .hero-text p {
    line-height: 2rem;
    text-align: justify;
  }
}

@media (min-width: 768px) {
  .container1 {
    flex-direction: column;
  }

  .hero-text h1 {
    font-size: 2rem;
  }

  .hero-text p {
    line-height: 2rem;
    text-align: justify;
  }
}

@media (max-width: 678px) {
  .hero-text h1 {
    font-size: 2rem;
  }

  .hero-text p {
    line-height: 2rem;
    text-align: left;
  }
}



.hidden {
  opacity: 0;
  filter: blur(5px);
  transform: translateZ(-100%);
  transition: all 1.5s;
}

.show {
  opacity: 1;
  filter: blur(0);
  transform: translateZ(0);
}